To upgrade is to replace a piece of hardware or software with a better, and usually newer, version or component.

learn more… | top users | synonyms (1)

1
vote
4answers
67 views

Issue with ssh && apt-get, need advice

I decided to dust off my Beaglebone Black Rev.C and figured before I do much of anything, I should get everything up to date. I created an SD card with the new Debian 8.3 image and installed it. No ...
0
votes
1answer
20 views

In Arch linux, is there any way to update one particular package?

In Arch linux, is there any way to update one particular package? Without uninstalling it.
2
votes
4answers
113 views

How long might it take to build NetBSD userland and kernel?

I am interested to use NetBSD as the operating system on my server. I have not used a system where security updates are performed by source, but have read enough in the guide to feel comfortable ...
0
votes
2answers
41 views

Does the size of my Arch always grow when I install updates?

Since Arch Linux is a rolling distributive, each time I update a system by "pacman -Syu" it downloads updates of about 50-100Mb and then it unzips them which make them even bigger. I wonder, does ...
2
votes
1answer
112 views

What would cause my video driver to stop working after every update?

I don't even know what kind of information I should post here to help identify the problem, so I am just going to go for it and hope for a productive outcome…I am not sure if this is a systemd issue (...
3
votes
4answers
131 views

How to upgrade Kali Linux

I've installed Kali Linux (normally I use ArchLinux, but I need Kali for work) and every time I want to upgrade, a few packages can't upgrade and are kept back. To force them to update I have to ...
3
votes
1answer
32 views

Update non active linux installation

We have several linux (Centos) live usb drives and I was wondering whether it was possible to just mount and update them from a linux desktop (running from a HDD) instead of booting and running yum on ...
0
votes
1answer
40 views

How to upgrade from Fedora 21 to higher stable version with the highest convenience and safety?

I am still working on a Fedora 21 Linux. I know Fedora 22, 23 and 24 already are around. However being a newbie in Linux systems and given the fact that my friend helped me to install Fedora 21 back ...
1
vote
1answer
39 views

CRON problem - an apt-get dist-upgrade job

This question is related to Debian 8.4. I applied the same updating mechanism to several desktop stations and one unused server. This problem appeared on the server but I suspect it will happen on ...
1
vote
1answer
3k views

automatic Mint upgrade from 17.3 to 18?

Will an automatic or semi-automatic upgrade from Linux Mint 17.3 Rosa to 18 Sarah (released in next June) be available?
0
votes
1answer
246 views

{14.04 Elementary OS} sudo apt-get update - Failed to Fetch (Also Software Center doesn't open)

Here is the output of sudo apt-get update in the terminal: Hit http://gr.archive.ubuntu.com trusty-updates InRelease Hit http://repo.steampowered.com precise InRelease ...
1
vote
1answer
3k views

`apt update` failed on Debian Linux

Attempting to upgrade testing/stretch Debian Linux: $ sudo apt update Ign:1 http://dl.google.com/linux/talkplugin/deb stable InRelease Hit:2 http://dl.google.com/linux/talkplugin/deb stable Release ...
1
vote
0answers
266 views

yum update glibc - ERROR with rpm_check_debug vs depsolve:

I want to update my system with yum update but I get only errors starting with these two lines: Running rpm_check_debug ERROR with rpm_check_debug vs depsolve: Then, I tried only to update the ...
1
vote
1answer
491 views

How to upgrade LibreOffice to Ver 5 in Debian Wheezy?

Debian Wheezy came with LibreOffice 3 (now two generations old). I want to upgrade or replace this with LO Ver 5 and manage this through the package manager. Online search for LibreOffice and Debian ...
1
vote
1answer
54 views

linux + yum update - what this command covers?

I verified what are the missing security patches as the following: yum updateinfo list security available Loaded plugins: product-id, rhnplugin, security, subscription-manager This system is ...
0
votes
1answer
200 views

can't update-initramfs generating /boot/initrd.img-3.16.0-4-amd64 error

Hi today I did a upgrade in my debian after of this. have a problem really I look a solution for this problem and I don't find anything. Configurando linux-image-3.16.0-4-amd64 (3.16.7-ckt20-1+...
2
votes
1answer
39 views

What is the name of the autoupdater in Linux Mint

If I have a clean install of latest Linux Mint, but I replaced the window manager/desktop environment with a very small alternative (IceWM). I was able to get most of system tray (or whatever it is ...
4
votes
0answers
124 views

Configure connection timeout of pacman full system upgrade

Is there a way to set the timeout which pacman uses to establish connections to repository servers? My ISP (university) has blocked several Arch Linux (I use Manjaro) AUR and a few community servers. ...
-1
votes
1answer
69 views

Upgrade GNU parted 3.1 to 3.2

I'm trying to upgrade GNU parted 3.1 to 3.2 and when I try to verify the key it says : # gpg --verify parted-3.2.tar.xz.sig gpg: Signature made Mon 28 Jul 2014 11:20:50 PM EDT using RSA key ID ...
1
vote
1answer
2k views

apt-get update fails on debian squeeze with “File not found”

I'm trying to update my old server running Debian Squeeze. apt-get update fails. The output is here: Ign file: debs/ Release.gpg Ign file:/root/ debs/ Translation-en ...
-2
votes
1answer
47 views

Both the Software Updater and apt-get update gives me this error. I've tried changing my primary server which didn't work

I believe I may have fiddled with the sources.. Is there any way to fix this issue. W:Failed to fetch http://ppa.launchpad.net/versable/elementary-update/ubuntu/dists/trusty/main/binary-amd64/...
0
votes
0answers
17 views

can't login after upgrading kali sana

After upgrading Kali Sana. which was not completed and when I tried to login it redirect me to enter username again and again. It means password is correct because when I use different password it ...
0
votes
0answers
11 views

Is an automating apt-get update+upgrade unreliable or dangerous? [duplicate]

I use currently for updating my system a manual apt update && apt upgrade, usually sometime after my system has started. Unfortunately, sometimes I run that really late or even forget it. I ...
1
vote
1answer
858 views

How to fix broken dependencies, that require deinstalling dnf on Fedora 23?

I've recently upgraded from Fedora 21 right up to Fedora 23. Most things went down without much drama (including nVidia drivers), except for the packages involving dnf. After upgrading, performing a ...
0
votes
0answers
39 views

Linux Mint Quiana 17 xfce 32 bit - recent update has disabled internet but skype works

After a recent update from Linux Mint, firefox no longer connects and nor do other things like the updater itself! However, skype still works. After looking on some other forums and asking the same ...
0
votes
3answers
1k views

Getting Error updating CentOS 6.7

I am trying to update CentOS and getting errors as follows. I tried to remove Python and I couldn't. [root@csc ~]# cat /etc/issue CentOS release 6.7 (Final) Kernel \r on an \m Error updating Cent-...
1
vote
1answer
27 views

Root password is asked for anything after dist-upgrade [closed]

I'm using Debian Stretch and today I did apt-get upgrade && apt-get dist-upgrade. After that, nearly every action is started to ask root password, including external monitor plug/unplug, USB ...
0
votes
1answer
55 views

Do I need to backup the files in /opt directory when upgrading Solaris 11 to Solaris 11.3?

Do I need to backup the files in /opt directory when upgrading Solaris 11 to Solaris 11.3? The upgrade can be done by pkg update --accept like it is described here.
3
votes
2answers
93 views

How to update Linux servers?

I am planning to update a bunch of servers. Currently, I get an email every month, on the updates that are available per servers. I don't want to check ~100 updates per server, is there a way to ...
1
vote
3answers
205 views

How can I do “yum upgrade” on an offline CentOS7 server?

I have a CentOS7 machine that is protected by firewall, I can only connect via ssh outside. I want to do yum upgrade on that server to upgrade the package. How can I do that? (we haven't got ...
0
votes
0answers
176 views

Unable to upgrade PHP 5.3.3 to 5.6 on centOS 6.3

I got a problem with upgrading PHP 5.3.3 to 5.6 on linux centOS 6.3. I've already search it on the net and got answers including here (Since it's a classic problem), but still not able to solve it. I ...
1
vote
1answer
258 views

My flashplugin-nonfree (on Debian Stretch) is outdated… what to do? [duplicate]

I use the version of Iceweasel on Debian Stretch GNU/Linux on an x86_64 machine. Sadly, I need to use Adobe's abominable Flash technology. I know that the way you install the Flash plugin on Debian ...
-1
votes
2answers
239 views

GUI gone after apt-get upgrade on clean install, Ubuntu Wily-

I was pointed here from AskUbuntu because my question was about an unsupported Ubuntu derivate, here is the copy-pasted question: I upgraded my fresh install of Netrunner 17 Horizon (Ubuntu-based, ...
-1
votes
1answer
101 views

Updating extensions after PHP upgrade on CentOS 5.6

I'm completely new to pecl, yum, rpm, packages and all the stuff required to get this done, so I'm hoping some of you smarter more experienced people can help me out. I only have a vague notion of ...
59
votes
4answers
4k views

Why is 'ls' suddenly wrapping items with spaces in single quotes?

I just noticed that on one of my machines (running Debian Sid) whenever I type ls any file name with spaces has single quotes surrounding it. I immediately checked my aliases, only to find them ...
0
votes
1answer
69 views

My “yum update” is not working

I am having problem with "yum update" This is the output: [root@localhost yum.repos.d]# yum update Loaded plugins: fastestmirror, refresh-packagekit, security Setting up Update Process Loading mirror ...
1
vote
1answer
207 views

ezjail: update problems

I'm having problems whenever I try to update my ezjail baseball on FreeSDB 10. I'm on FreeBSD 10.2-RELEASE-p11 and ezjail v3.4.2 The jails show the right version inside but the update progress doesn'...
0
votes
1answer
179 views

Downgrade from Wily to Trusty

I've upgraded from Ubuntu Trusty to Wily using apt-get dist-upgrade Is there a way to downgrade to Trusty? I found a few software packages I cannot install.
0
votes
1answer
162 views

Kali Rolling Release Upgrade 2hr Login and Frozen Desktop

I upgraded Kali to Rolling Release today and the install went smoothly until I restarted after the installation. It took about 2 hours to get from the login screen to the desktop. The screen is now ...
0
votes
1answer
107 views

How to Upgrade LinuxLight from Trusty to Wily

I'm giving LinuxLight 2.8 beta a try, and have noticed it's completely based on Ubuntu Trusty. How can I go about upgrading it to Ubuntu Wily? Is it possible to replace my current repos with the ...
0
votes
0answers
190 views

Graphical UI stops working shortly after boot [Linux Mint 17.3]

I recently updated to Linux Mint 17.3 Cinnamon 64-bit from 17.2 through the update manager. Upon reboot everything was in working order so I decided to update the kernel as well which was probably ...
3
votes
2answers
175 views

What is Debian's equivalent of do-release-upgrade?

Ubuntu has do-release-upgrade. What is Debian's way or tool for the same purpose?
2
votes
1answer
350 views

Packages kept back during apt-get upgrade

I'm running Lubuntu 14.04.3 LTS amd64 version. I did apt-get update and apt-get upgrade which showed few packages have been kept back. These are mainly kernel related packages namely, linux-generic-...
0
votes
3answers
56 views

Installing Debian all on one partition, will I be able to upgrade in the future?

I am installing Debian for the first time ever. I picked the "testing" version. I am going through the "expert" GUI installer. I got to the part where it asks how you want to partition your harddrive. ...
1
vote
3answers
45 views

I can not update mint

Ok, I figured out that I have an EOL linux version but when I do do-release-upgrade it says Traceback (most recent call last): File "/usr/lib/command-not-found", line 27, in <module> ...
1
vote
1answer
120 views

No space left to free up on rootfs partition to upgrade kernel

I want to upgrade Linux kernel from 3.16 to 4.3. Unfortunately when I run aptitude install linux-image-4.3.0-1-amd64 installation fails due to no space on rootfs partition. 117MB left, 174MB needed. ...
1
vote
2answers
28 views

Wheezy to Jessie upgrade / (root partition) minimal requirements in MB?

The Linux Debian kernel is 3.2.0-4-686-pae . The / (root) partition is 62% full. Will the remaining space suffice to install jessie's kernel & boot stuff? mt42@hostname:~$ df -k ...
0
votes
0answers
69 views

Why does Mintupdate not update anything and give me errors in terminal?

When I run mintupdate from the GUI and try to update anything, nothing happens, including when I attempt to update the kernel. I tried running mintupdate from the terminal and it opened with the ...
0
votes
0answers
13 views

Downloading and installing updates from the http webpage of a repository

I have a Linux Lite distro with the following specs: Operating System: Current Release Name: Linux Lite 2.2 Architecture: 32bit and 64bit Software Base: Ubuntu 14.04.1 LTS ...
1
vote
2answers
289 views

CentOs 5.3, Yum Update Fails

sh-3.2# yum update Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * epel: www.muug.mb.ca * base: mirror.its.sfu.ca * updates: mirror.its.sfu.ca * webtatic-el5: us-east.repo....